workspace "BarinkEngine"
	configurations { "Debug", "Test", "Release" } 

	project "SandboxApplication"
		kind "ConsoleApp"
		language "C++"
		cppdialect "C++17"
		targetdir "./artifacts/build/%{cfg.buildcfg}"
		objdir "./artifacts/obj/%{cfg.buildcfg}"

		includedirs {
			"./libs/lua-5.4.3/",

		}

		libdirs {
			os.findlib("lua")
		}

	
		files { 
			"SandboxApplication/*.c"
		}

		links{
			"lua"
		}


	project "MyGraphicsEngine"
		kind "ConsoleApp"
		language "C++"
		cppdialect "c++17"
		targetdir "./artifacts/build/%{cfg.buildcfg}"
		objdir "./artifacts/obj/%{cfg.buildcfg}"
		buildmessage "Building MyGraphicsEngine"
		
		includedirs {
			"./libs/glfw-3.3.4/include/GLFW/",
			"./libs/spdlog-1.9.1/include/spdlog/"
			}
		
		libdirs{
			"./libs/spdlog-1.9.1/build/libspdlog.a",
			os.findlib("glfw3"),
		}	
		links {
		--	"libspdlog",
			"glfw3",
			"X11",
			"GL",
			"GLU",
			"pthread",
			"dl",
			"m"
		}

		files {"MyGraphicsEngine/*.c"}

		filter "configurations:Debug"
			defines {"DEBUG"}
			symbols "On"

		filter "configurations:Release"
			defines {"NDEBUG"}
			optimize "On"
